/*

 File: gui_garbagewindow.h, 2003/06/17

 ACETAF, Version 3.0.1

 Copyright (C) Markus Neher, markus.neher@math.uni-karlsruhe.de
               Ingo Eble,    ingoeble@web.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _GARBAGE_H_INCLUDED
#define _GARBAGE_H_INCLUDED

#include <qmainwindow.h>
#include <qstring.h>

//GUI
class QMultiLineEdit;
class QPopupMenu;

class GarbageWindow : public QMainWindow
{
  Q_OBJECT

 public:
  
  GarbageWindow(QWidget *parent, const char *name = 0);
  ~GarbageWindow();

  void setGarbage(const QString&);
  
 private slots:
    
  void saveFile();
  void saveFileAs();
  void closeFile();

  void getGarbage(const QString&);

 private:

  /*-----+
   | GUI |
   +-----*/

  QMultiLineEdit *edit;
  QPopupMenu *file;

  QString filename;
};

#endif

/*

  End of File: gui_garbagewindow.h

*/
